package cn.superdesk.uniorder.dubbo.consumer.channel;

import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.channel.UnifiedChannelProfitXVirt;
import cn.superdesk.uniorder.dto.dubbo.channel.UnifiedChannelProfitXVirtParam;
import cn.superdesk.uniorder.dubbo.facade.channel.DubboUnifiedChannelProfitXVirtService;
import com.alibaba.dubbo.config.annotation.Reference;
import com.github.pagehelper.PageInfo;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @Author: linjinyu
 * @Email linjinyu@avic-s.com
 * @CreateDate: 2020-08-28 17:10:10
 * @UpdateUser: linjinyu
 * @UpdateDate: 2020-08-28 17:10:10
 * @UpdateRemark: 修改内容
 * @Version: 1.0
 */
@Slf4j
@Component
public class UnifiedChannelProfitXVirtDubboConsumerService {

	@Reference(version = "1.0.0", timeout = 10000, retries = -1)
	private DubboUnifiedChannelProfitXVirtService dubboUnifiedChannelProfitXVirtService;


	/****************************************** extends BaseService 部分 start ******************************************/

	public void addObj(UnifiedChannelProfitXVirtParam param) {

		dubboUnifiedChannelProfitXVirtService.addObj(param);

	}

	public void updateObj(UnifiedChannelProfitXVirtParam param) {

		dubboUnifiedChannelProfitXVirtService.updateObj(param);
	}

	public void deleteObj(Long id) {

		dubboUnifiedChannelProfitXVirtService.deleteObj(id);
	}

	public UnifiedChannelProfitXVirt findById(Long id) {

		return dubboUnifiedChannelProfitXVirtService.findById(id);
	}

	public PageInfo<UnifiedChannelProfitXVirt> findByPaging(Map<String, Object> conditions, Integer pageNun, Integer pageSize) {

		return dubboUnifiedChannelProfitXVirtService.findByPaging(conditions, pageNun, pageSize);
	}

	public List<UnifiedChannelProfitXVirt> findAll(Map<String, Object> queryMap) {

		return dubboUnifiedChannelProfitXVirtService.findAll(queryMap);
	}

	/****************************************** extends BaseService 部分   end ******************************************/


	public void addUnifiedChannelProfitXVirt(UnifiedChannelProfitXVirtParam param) {

		dubboUnifiedChannelProfitXVirtService.addUnifiedChannelProfitXVirt(param);
	}


	public void updateUnifiedChannelProfitXVirt(UnifiedChannelProfitXVirtParam param) {

		dubboUnifiedChannelProfitXVirtService.updateUnifiedChannelProfitXVirt(param);
	}


	public void deleteUnifiedChannelProfitXVirt(Long id) {
		dubboUnifiedChannelProfitXVirtService.deleteUnifiedChannelProfitXVirt(id);
	}


	public UnifiedChannelProfitXVirt findUnifiedChannelProfitXVirtById(Long id) {

		return dubboUnifiedChannelProfitXVirtService.findUnifiedChannelProfitXVirtById(id);
	}


	public R<List<UnifiedChannelProfitXVirt>> pageQuery(Map<String, Object> conditions, int pageNun, int pageSize) {

		return dubboUnifiedChannelProfitXVirtService.pageQuery(conditions, pageNun, pageSize);
	}


	/***************************************************** 关于 UnifiedChannelProfitXVirtService start *****************************************************/

	public List<Long> getVirtsByChannelId(Long channelId) {
		return dubboUnifiedChannelProfitXVirtService.getVirtsByChannelId(channelId);
	}

	public List<UnifiedChannelProfitXVirt> findVirtsByChannelId(Long channelId) {
		return dubboUnifiedChannelProfitXVirtService.findVirtsByChannelId(channelId);
	}
	/***************************************************** 关于 UnifiedChannelProfitXVirtService  end  *****************************************************/

}
